* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html {
	scroll-behavior: smooth;
}

body {
	font-family: sans-serif;
	margin: auto;

}

body section {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100vh;
}

.contact-form {
	display: flex;
	flex-direction: column;
	width: 35%;
}

.labeled-input {
	display: flex;
	flex-direction: column;
	padding: 8px;
	gap: 0.2rem;
}

.labeled-input label {
	font-weight: 600;
	display: block;
}

.labeled-input * {
	display: flex;
	justify-content: center;
	gap: 1rem;
}

.labeled-input div * {
	flex: 1;
	padding: 8px;
}

.labeled-input label:has(+div input:required)::after {
	content: "*";
}

.labeled-input input[type="submit"] {
	padding: 8px;
}